#!/bin/perl

my %data;

foreach my $file (@ARGV)
{
    open(F, $file) or die;

    while ( $ln = <F> )
    {
        chomp $ln;
        next if $ln !~ /^Mode/;

        my @line = split(/ /,$ln);

        print "Mode: $line[1]\n";
        print "Packet: $line[3]\n";
        print "ACI: $line[5]\n";
        print "t1m: $line[10]\n";
        print "t1d: $line[13]\n";
        print "t2m: $line[16]\n";
        print "t2d: $line[19]\n";

        $data{ $line[1] }{ $line[3] }{ $line[5] }{t1m} = $line[10];
        $data{ $line[1] }{ $line[3] }{ $line[5] }{t1d} = $line[13];
        $data{ $line[1] }{ $line[3] }{ $line[5] }{t2m} = $line[16];
        $data{ $line[1] }{ $line[3] }{ $line[5] }{t2d} = $line[19];
    }
}

foreach my $aci (-1,3,2,0,1)
{
    foreach my $mode ("wifia-6mbs","wifia-24mbs","wifia-54mbs")
    {
        foreach my $packetsize (80,200,400,2304)
        {
            print "$data{$mode}{$packetsize}{$aci}{t1m} $data{$mode}{$packetsize}{$aci}{t1d} ";
        }
        foreach my $packetsize (80,200,400,2304)
        {
            print "$data{$mode}{$packetsize}{$aci}{t2m} $data{$mode}{$packetsize}{$aci}{t2d} ";
        }
        print "\n";
    }
    print "\n";
}

